POST https://one.ozow.com/v1 /transactions/{id}Production
Allows for API processing of transactions for certain institutions.
X-Correlation-ID string
Optional correlation id for the request, if not supplied a new one will be generated and passed onto all underlying requests and returned as a header.
Idempotency-Key string
The idempotency keyIdempotency A request is idempotent when sending it twice has the same effect as sending it once. It matters most where a retry after a timeout could otherwise take a payment twice. IETF draft for this request, as described in the IETF draft . Sending one is optional, but recommended.
example YOUR_UNIQUE_KEY
Responses 200 OK
X-Correlation-ID header
The correlation id for the request that was processed.
Location header
The unique URI for this resource.
201 Created
X-Correlation-ID header
The correlation id for the request that was processed.
400 Bad Request
X-Correlation-ID header
The correlation id for the request that was processed.
401 Unauthorized
X-Correlation-ID header
The correlation id for the request that was processed.
403 Forbidden
X-Correlation-ID header
The correlation id for the request that was processed.
409 Conflict
X-Correlation-ID header
The correlation id for the request that was processed.
500 Internal Server Error
X-Correlation-ID header
The correlation id for the request that was processed.
Request curl -X POST 'https://one.ozow.com/v1/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"paymentStep": "<paymentStep>",
"callbackUrl": "https://example.com/callbackurl",
"inputFields": [
{
"name": "<name>",
"value": "<value>"
}
]
}' using System . Text ;
using System . Text . Json ;
using System . Text . Json . Serialization ;
using var client = new HttpClient ();
var request = new HttpRequestMessage (HttpMethod.Post, "https://one.ozow.com/v1/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08" );
request.Headers. Add ( "Authorization" , "Bearer YOUR_ACCESS_TOKEN" );
var payload = new ProcessTransactionRequest
{
PaymentStep = "<paymentStep>" ,
CallbackUrl = "https://example.com/callbackurl" ,
InputFields = new []
{
new InputFields
{
Name = "<name>" ,
Value = "<value>" ,
},
},
};
request.Content = new StringContent (
JsonSerializer. Serialize (payload),
Encoding.UTF8,
"application/json" );
var response = await client. SendAsync (request);
var body = await response.Content. ReadAsStringAsync ();
record ProcessTransactionRequest
{
[ JsonPropertyName ( "paymentStep" )]
public required string PaymentStep { get ; init ; }
[ JsonPropertyName ( "callbackUrl" )]
public required string CallbackUrl { get ; init ; }
[ JsonPropertyName ( "inputFields" )]
public required IReadOnlyList < InputFields > InputFields { get ; init ; }
}
record InputFields
{
[ JsonPropertyName ( "name" )]
public required string Name { get ; init ; }
[ JsonPropertyName ( "value" )]
public required string Value { get ; init ; }
} <? php
$curl = curl_init ();
curl_setopt_array ($curl, [
CURLOPT_URL => 'https://one.ozow.com/v1/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08' ,
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => 'POST' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer YOUR_ACCESS_TOKEN' ,
'Content-Type: application/json' ,
],
CURLOPT_POSTFIELDS => <<< ' JSON '
{
"paymentStep" : "<paymentStep>" ,
"callbackUrl" : "https://example.com/callbackurl" ,
"inputFields" : [
{
"name" : "<name>" ,
"value" : "<value>"
}
]
}
JSON ,
]);
$response = curl_exec ($curl);
curl_close ($curl); const response = await fetch ( "https://one.ozow.com/v1/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08" , {
method: "POST" ,
headers: {
"Authorization" : "Bearer YOUR_ACCESS_TOKEN" ,
"Content-Type" : "application/json" ,
},
body: JSON . stringify ({
"paymentStep" : "<paymentStep>" ,
"callbackUrl" : "https://example.com/callbackurl" ,
"inputFields" : [
{
"name" : "<name>" ,
"value" : "<value>"
}
]
}),
});
const data = await response. json (); import requests
headers = {
"Authorization" : "Bearer YOUR_ACCESS_TOKEN" ,
"Content-Type" : "application/json" ,
}
payload = {
"paymentStep" : "<paymentStep>" ,
"callbackUrl" : "https://example.com/callbackurl" ,
"inputFields" : [
{
"name" : "<name>" ,
"value" : "<value>" ,
},
],
}
response = requests.post(
"https://one.ozow.com/v1/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08" ,
headers = headers,
json = payload,
) curl -X POST 'https://one.ozow.com/v1/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-H 'X-Correlation-ID: 00000000-0000-0000-0000-000000000000' \
-H 'Idempotency-Key: YOUR_UNIQUE_KEY' \
-d '{
"paymentStep": "<paymentStep>",
"callbackUrl": "https://example.com/callbackurl",
"inputFields": [
{
"name": "<name>",
"value": "<value>"
}
]
}' using System . Text ;
using System . Text . Json ;
using System . Text . Json . Serialization ;
using var client = new HttpClient ();
var request = new HttpRequestMessage (HttpMethod.Post, "https://one.ozow.com/v1/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08" );
request.Headers. Add ( "Authorization" , "Bearer YOUR_ACCESS_TOKEN" );
request.Headers. Add ( "X-Correlation-ID" , "00000000-0000-0000-0000-000000000000" );
request.Headers. Add ( "Idempotency-Key" , "YOUR_UNIQUE_KEY" );
var payload = new ProcessTransactionRequest
{
PaymentStep = "<paymentStep>" ,
CallbackUrl = "https://example.com/callbackurl" ,
InputFields = new []
{
new InputFields
{
Name = "<name>" ,
Value = "<value>" ,
},
},
};
request.Content = new StringContent (
JsonSerializer. Serialize (payload),
Encoding.UTF8,
"application/json" );
var response = await client. SendAsync (request);
var body = await response.Content. ReadAsStringAsync ();
record ProcessTransactionRequest
{
[ JsonPropertyName ( "paymentStep" )]
public required string PaymentStep { get ; init ; }
[ JsonPropertyName ( "callbackUrl" )]
public required string CallbackUrl { get ; init ; }
[ JsonPropertyName ( "inputFields" )]
public required IReadOnlyList < InputFields > InputFields { get ; init ; }
}
record InputFields
{
[ JsonPropertyName ( "name" )]
public required string Name { get ; init ; }
[ JsonPropertyName ( "value" )]
public required string Value { get ; init ; }
} <? php
$curl = curl_init ();
curl_setopt_array ($curl, [
CURLOPT_URL => 'https://one.ozow.com/v1/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08' ,
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => 'POST' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer YOUR_ACCESS_TOKEN' ,
'Content-Type: application/json' ,
'X-Correlation-ID: 00000000-0000-0000-0000-000000000000' ,
'Idempotency-Key: YOUR_UNIQUE_KEY' ,
],
CURLOPT_POSTFIELDS => <<< ' JSON '
{
"paymentStep" : "<paymentStep>" ,
"callbackUrl" : "https://example.com/callbackurl" ,
"inputFields" : [
{
"name" : "<name>" ,
"value" : "<value>"
}
]
}
JSON ,
]);
$response = curl_exec ($curl);
curl_close ($curl); const response = await fetch ( "https://one.ozow.com/v1/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08" , {
method: "POST" ,
headers: {
"Authorization" : "Bearer YOUR_ACCESS_TOKEN" ,
"Content-Type" : "application/json" ,
"X-Correlation-ID" : "00000000-0000-0000-0000-000000000000" ,
"Idempotency-Key" : "YOUR_UNIQUE_KEY" ,
},
body: JSON . stringify ({
"paymentStep" : "<paymentStep>" ,
"callbackUrl" : "https://example.com/callbackurl" ,
"inputFields" : [
{
"name" : "<name>" ,
"value" : "<value>"
}
]
}),
});
const data = await response. json (); import requests
headers = {
"Authorization" : "Bearer YOUR_ACCESS_TOKEN" ,
"Content-Type" : "application/json" ,
"X-Correlation-ID" : "00000000-0000-0000-0000-000000000000" ,
"Idempotency-Key" : "YOUR_UNIQUE_KEY" ,
}
payload = {
"paymentStep" : "<paymentStep>" ,
"callbackUrl" : "https://example.com/callbackurl" ,
"inputFields" : [
{
"name" : "<name>" ,
"value" : "<value>" ,
},
],
}
response = requests.post(
"https://one.ozow.com/v1/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08" ,
headers = headers,
json = payload,
) Response OK
This response has no body.
Created
This response has no body.
Bad Request
This response has no body.
Unauthorized
This response has no body.
Forbidden
This response has no body.
Conflict
This response has no body.
Internal Server Error
This response has no body.